# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1123  -> 1.1124 
#	drivers/acpi/button.c	1.7     -> 1.8    
#	drivers/acpi/battery.c	1.5     -> 1.6    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/10/17	len.brown@intel.com	1.1124
# [ACPI] speed up reads from /proc/acpi/ (Shaohua David Li)
# http://bugme.osdl.org/show_bug.cgi?id=726
# --------------------------------------------
#
diff -Nru a/drivers/acpi/battery.c b/drivers/acpi/battery.c
--- a/drivers/acpi/battery.c	Fri Oct 17 14:08:10 2003
+++ b/drivers/acpi/battery.c	Fri Oct 17 14:08:10 2003
@@ -348,7 +348,7 @@
 
 	ACPI_FUNCTION_TRACE("acpi_battery_read_info");
 
-	if (!battery)
+	if (!battery || (off != 0))
 		goto end;
 
 	if (battery->flags.present)
@@ -447,7 +447,7 @@
 
 	ACPI_FUNCTION_TRACE("acpi_battery_read_state");
 
-	if (!battery)
+	if (!battery || (off != 0))
 		goto end;
 
 	if (battery->flags.present)
@@ -531,7 +531,7 @@
 
 	ACPI_FUNCTION_TRACE("acpi_battery_read_alarm");
 
-	if (!battery)
+	if (!battery || (off != 0))
 		goto end;
 
 	if (!battery->flags.present) {
diff -Nru a/drivers/acpi/button.c b/drivers/acpi/button.c
--- a/drivers/acpi/button.c	Fri Oct 17 14:08:10 2003
+++ b/drivers/acpi/button.c	Fri Oct 17 14:08:10 2003
@@ -85,7 +85,7 @@
 
 	ACPI_FUNCTION_TRACE("acpi_button_read_info");
 
-	if (!button || !button->device)
+	if (!button || !button->device || (off != 0))
 		goto end;
 
 	p += sprintf(p, "type:                    %s\n", 
@@ -119,7 +119,7 @@
 
 	ACPI_FUNCTION_TRACE("acpi_button_lid_read_state");
 
-	if (!button || !button->device)
+	if (!button || !button->device || (off != 0))
 		goto end;
 
 	status=acpi_evaluate_integer(button->handle,"_LID",NULL,&state);
